# The `ls -lg' part of this example is a system command that gives you a listing of the 
# files in a directory, including file size and the date the file was last modified. Its # output looks like this: 

# -rw-r--r--  1 arnold   user   1933 Nov  7 13:05 Makefile
# -rw-r--r--  1 arnold   user  10809 Nov  7 13:03 gawk.h
# -rw-r--r--  1 arnold   user    983 Apr 13 12:14 gawk.tab.h
# -rw-r--r--  1 arnold   user  31869 Jun 15 12:20 gawk.y
# -rw-r--r--  1 arnold   user  22414 Nov  7 13:03 gawk1.c
# -rw-r--r--  1 arnold   user  37455 Nov  7 13:03 gawk2.c
# -rw-r--r--  1 arnold   user  27511 Dec  9 13:07 gawk3.c
# -rw-r--r--  1 arnold   user   7989 Nov  7 13:03 gawk4.c

# The first field contains read-write permissions, the second field contains the number of # links to the file, and the third field identifies the owner of the file. The fourth field # identifies the group of the file. The fifth field contains the size of the file in bytes. # The sixth, seventh and eighth fields contain the month, day, and time, respectively, that # the file was last modified. Finally, the ninth field contains the name of the file. 

# Spocitajme velkost suborov v listingu
{
  suma+=$5 
}
END {print "Velkost suborov v bajtoch: ", suma}