muz(jozef).
muz(adolf).
muz(peter).
muz(milan).
muz(michal).
muz(pavol).
muz(juraj).
muz(marek).
zena(barbora).
zena(milena).
zena(dagmar).
zena(miriam).
zena(vlasta).
zena(zuzana).
zena(jana).
zena(dana).
zena(alena).
zena(lucia).
manzel(jozef,barbora).
manzel(adolf,dagmar).
manzel(peter,vlasta).
manzel(milan,zuzana).
manzel(michal,alena).
rodic(barbora,adolf).
rodic(jozef,adolf).
rodic(barbora,miriam).
rodic(jozef,miriam).
rodic(barbora,vlasta).
rodic(jozef,vlasta).
rodic(jozef,milan).
rodic(milena,milan).
rodic(dagmar,jana).
rodic(adolf,jana).
rodic(dagmar,dana).
rodic(adolf,dana).
rodic(dagmar,michal).
rodic(adolf,michal).
rodic(miriam,pavol).
rodic(peter,lucia).
rodic(vlasta,lucia).
rodic(peter,juraj).
rodic(vlasta,juraj).
rodic(michal,marek).
rodic(alena,marek).

otec(X,Y):-muz(X),rodic(X,Y).
matka(X,Y):-zena(X),rodic(X,Y).
staryotec(X,Y):-muz(X),rodic(X,Z),rodic(Z,Y).

% predok(X,Y)
predok(X,Y):-rodic(X,Y).
predok(X,Y):-rodic(X,Z),predok(Z,Y).

% dl(X,M)
dl([],0).
%dl([H|T],N):-dl(T,DT),N is DT+1.
%dl([H|T],N):-is_list(H),dl(H,DH),dl(T,DT),N is DH+DT.

%
%dl([],0).
%dl([H|T],N):-is_list(H),dl(H,M),dl(T,L),N is M+R.
%dl([H|T],N):-atom(H),dl(T,L),N is L+1.

dl([],0).
dl(X,1):-atomic(X), X\=[].
dl([H|T],X):-dl(H,A),dl(T,B),X is A+B.

