package howto;

import java.awt.*;

public class Main extends java.applet.Applet
{
   ShapeMgr _sm;
public Main(){
}
   public void init()
   {
      setBackground(Color.white);

      setLayout(new BorderLayout());

      _sm = new ShapeMgr();

      add("Center", _sm);

      Panel p = new Panel();

      p.add(new Button("Line"));
      p.add(new Button("Rectangle"));
      p.add(new Button("Oval"));

      add("South", p);
   }

   public Dimension preferredSize()
   {
      return new Dimension(400, 400);
   }

   public boolean action(Event e, Object o)
   {
      if (o.equals("Line"))
      {
         _sm.manage(new LineShape(10, 10, 110, 110));
      }
      else if (o.equals("Rectangle"))
      {
         _sm.manage(new RectangleShape(10, 10, 100, 100));
      }
      else if (o.equals("Oval"))
      {
         _sm.manage(new OvalShape(10, 10, 100, 100));
      }
      else
      {
         return false;
      }
      return true;
   }

   public static void main(String [] args)
   {
      Frame f = new Frame("Hot Spot");

      Main m = new Main();

      m.init();

      f.add("Center", m);

      f.pack();
      f.show();
   }
}
