/*1. MyStringTokenizer
 - trieda umoznujuca tokenizaciu (rozbijanie) stringu podla zadaneho delimitera.
 - pr. string "ahoj|fero||kde|ides|" je pomocou delimitera "|" mozne rozbit na 6 resp. 4 substringy
   ("ahoj","fero",null,"kde","ides",null) resp. ("ahoj","fero","kde","ides") podla toho, ci
   ignorujeme null tokeny alebo nie.
 - minimalne pozadovane API
    konstruktor(String s, String delim) - vytvori tokenizer nad danym stringom 's' s pozadovanym delimiterom 'delim'. null tokeny sa nebudu ignorovat
    konstruktor(String s, String delim, Boolean skipEmpty) - analogicky, akurat je mozne specifikovat, ci sa null tokeny budu ignorovat alebo nie
    boolean hasMoreTokens() - vrati true/false podla toho, ci este su nejake neprecitane tokeny
    String nextToken() - vrati dalsi token resp. null ak uz ziadne nie su. opakovane vyvolavanie tejto metody musi davat vzdy dalsie a dalsie tokeny
    void reset() - nastavi tokenizer 'na zaciatok' - t.j. ako keby ani raz nebola zavolana nextToken
*/

public class TesterStringParser {
  public static void main(String args[]) {
    String d="+";
    String s="Hello+Forte+for+Java!";//pridame na koniec, aby sa lepsie robilo
    StringParser sp=new StringParser(s,d);

    System.out.println(s);

    String x=sp.nexttoken();
    while ( x!=""){
      System.out.println(x);
      x=sp.nexttoken();
    }
  }
}
