public class Matica {
  private int[][] prvky;
  private int sirka,vyska;
  
  Matica(int s, int v) {
     sirka = s;
     vyska = v;
     prvky = new int[vyska][sirka];
     for (int i=0; i<vyska; i++) 
       for(int j=0; j<sirka; j++) 
         prvky[i][j] = (int)(Math.round(9*Math.random()));
  }

  public String toString() {
     String s="";
     for (int i=0; i<vyska; i++) {
       for(int j=0; j<sirka; j++) 
         s=s+prvky[i][j]+" ";
       s=s+"\n";
     }
     return s;
  }

  public void scitaj(Matica m2){
     if ((sirka == m2.sirka) && (vyska==m2.vyska)) 
       for (int i=0; i<vyska; i++) 
         for(int j=0; j<sirka; j++)
            prvky[i][j] += m2.prvky[i][j];     
  }

  public void vynasob(int k){
     for (int i=0; i<vyska; i++) 
       for(int j=0; j<sirka; j++)
          prvky[i][j] *= k;          
  }

  public static void main(String[] arg){
    Matica m1 = new Matica(5,6);
    Matica m2 = new Matica(5,6);	
    System.out.println(m1);
    System.out.println();	
    System.out.println(m2);
    System.out.println();	

    m1.scitaj(m2);
    m1.vynasob(5);
    System.out.println(m1);    
  }
}